Atualizar webhook
curl --request PATCH \
--url https://api.upag.io/v1/webhooks/{webhookId} \
--header 'Authorization: Bearer <token>'const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/webhooks/{webhookId}';
const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Endpoints
Atualizar webhook
Altera URL, eventos ou status do webhook
PATCH
https://api.upag.io
/
v1
/
webhooks
/
{webhookId}
Atualizar webhook
curl --request PATCH \
--url https://api.upag.io/v1/webhooks/{webhookId} \
--header 'Authorization: Bearer <token>'const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/webhooks/{webhookId}';
const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Endpoint
curl -X PATCH https://api.upag.io/v1/webhooks/aa0e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer sk_test_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"active": false,
"events": ["charge.paid"]
}'
Resposta
200 OK
Response
{
"id": "aa0e8400-e29b-41d4-a716-446655440000",
"description": "Order events",
"active": false,
"url": "https://example.com/webhooks",
"headers": { "X-Custom": "value" },
"events": ["charge.paid"],
"createdAt": "2026-03-18T09:00:00.000Z",
"updatedAt": "2026-03-18T10:00:00.000Z"
}